MPI_Message_toint(3)

NAME
MPI_Message_toint - converts MPI_Message to an integer handle

SYNOPSIS
int MPI_Message_toint(MPI_Message message)

INPUT PARAMETERS
message
    - message (handle)

THREAD AND INTERRUPT SAFETY
This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.